\documentclass[12pt,openright,twoside,a4paper]{article}
%\usepackage[T1]{fontenc}
%\usepackage[utf8]{inputenc}
\usepackage[italian]{babel}
\usepackage{url}
\usepackage[breaklinks]{hyperref}
\usepackage[autostyle,italian=guillemets]{csquotes}
\usepackage[style=numeric,giveninits=true,backend=biber]{biblatex}
\setcounter{biburlnumpenalty}{7000} % numeri 
\setcounter{biburllcpenalty}{8000}  % caratteri minuscoli
\setcounter{biburlucpenalty}{9000}  % caratteri maiuscoli

%font del documento
\usepackage{fontspec}

\addbibresource{../elaborato/bibliografia.bib}

  
\begin{document}

\nocite{*}
\printbibliography
\end{document}
